// Joachim Pimiskern, 11.4.2012 Freeware
using System;
using System.Collections.Generic;
using System.Text;

namespace Fusym
{
    public class NodeAndMark
    {
        public Node Node;
        public int Mark;

        public static List<NodeAndMark> ToNodeAndMark(List<Node> nodes)
        {
            List<NodeAndMark> result = new List<NodeAndMark>();

            foreach (Node n in nodes)
            {
                NodeAndMark nm = new NodeAndMark();
                nm.Node = n;
                nm.Mark = n.Mark;
                result.Add(nm);
            }


            return result;
        }

        public override string ToString()
        {
            return Node.ToString() + " " + Mark.ToString();
        }

        ///---------------------------------------------------------------------
        /// <summary>
        /// Comparison function.
        /// </summary>
        ///---------------------------------------------------------------------
        public static int CmpNodeAndMarkDesc(NodeAndMark p1, NodeAndMark p2)
        {
            return -p1.Mark.CompareTo(p2.Mark);
        }

        ///---------------------------------------------------------------------
        /// <summary>
        /// Comparison function.
        /// </summary>
        ///---------------------------------------------------------------------
        public static int CmpNodeAndMarkAsc(NodeAndMark p1, NodeAndMark p2)
        {
            return p1.Mark.CompareTo(p2.Mark);
        }
    }
}
