// Joachim Pimiskern, 11.4.2012
using System;
using System.Collections.Generic;
using System.Text;
using System.Text.RegularExpressions;

namespace Fusym
{
    public class StringUtils
    {
        ///---------------------------------------------------------------------
        /// <summary>
        /// Get the words of the query.
        /// </summary>
        ///---------------------------------------------------------------------
        public static List<string> GetQuerySymbols(string s)
        {
            List<string> result = new List<string>();

            s = s.ToUpper();

            Regex r = new Regex(@"[^\s]+");
            MatchCollection m = r.Matches(s);
            foreach (Match ma in m)
            {
                string sym = ma.ToString();
                result.Add(sym);
            }

            return result;
        }
    }
}
