using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Unarch5
{
    public partial class FormSearchExact : Form
    {

        private bool   m_Result;
        private string m_SearchString = "";

        public bool Result
        {
            get { return m_Result; }
            set { m_Result = value; }
        }


        public string SearchString
        {
            get { return m_SearchString; }
            set { m_SearchString = value; }
        }
	

        public FormSearchExact()
        {
            InitializeComponent();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            m_Result = false;
            Close();
        }

        private void buttonSearch_Click(object sender, EventArgs e)
        {
            m_Result = true;
            m_SearchString = textBoxSearchString.Text;
            Close();
        }

        private void FormSearchExact_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == (char)27)
                Close(); 

        }
    }
}