using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Unarch5
{
    public partial class FormUnknownKeywords : Form
    {
        public FormUnknownKeywords(System.Collections.ArrayList keywords)
        {
            InitializeComponent();

            for (int i = 0; i < keywords.Count; i++)
            {
                string s = (string)keywords[i];
                textBoxWords.AppendText(s + System.Environment.NewLine);
            }
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            Close();
        }


        private void LoadSettings()
        {
            Configuration c = Configuration.GetInstance();
            this.Location = c.FormUnknownKeywordsSettings.Location;
        }


        private void StoreSettings()
        {
            Configuration c = Configuration.GetInstance();
            c.FormUnknownKeywordsSettings.Location = this.Location;
        }

        private void FormUnknownKeywords_Load(object sender, EventArgs e)
        {
            LoadSettings();
        }

        private void FormUnknownKeywords_FormClosed(object sender, FormClosedEventArgs e)
        {
            StoreSettings();
        }


    }
}