// 12.12.2011
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Fusym;

namespace Unarch5
{
    public partial class FormViolet : Form
    {
        private Violet m_Violet;

        public FormViolet()
        {
            InitializeComponent();
        }

        private void dataGridView1_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void FormViolet_Load(object sender, EventArgs e)
        {
            m_Violet = new Violet();
            
            string s = "";
            foreach (VioletRule v in m_Violet.Rules)
                s += v.ToString() + Environment.NewLine;

            textBoxRules.Text = s;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            m_Violet.Run();
            DisplayOutput();
        }

        private void DisplayOutput()
        {
            dataGridView1.RowCount = m_Violet.Rules.Count;
            for (int i = 0; i < m_Violet.Rules.Count; i++)
            {
                VioletRule v = m_Violet.Rules[i];
                dataGridView1.Rows[i].Cells[0].Value = v.LeftSide;
                dataGridView1.Rows[i].Cells[1].Value = v.Value;
            }
        }

        private void buttonAssign_Click(object sender, EventArgs e)
        {
            if (tbLeftSide.Text == "")
                return;

            if (tbValue.Text == "")
                return;

            foreach (VioletRule v in m_Violet.Rules)
                if (tbLeftSide.Text.ToUpper() == v.LeftSide.ToUpper())
                {
                    v.Value = tbValue.Text.ToUpper();
                }

            DisplayOutput();
        }
    }
}