// 4.8.2011 Joachim Pimiskern
using System;
using System.Collections.Generic;
using System.Text;

namespace Fusym
{

    public class DistanceManager
    {
        private Dictionary<string, DistanceElement> m_Distances = new Dictionary<string, DistanceElement>();
        private int m_MaxDistance;

        public DistanceManager(int maxDistance)
        {
            m_MaxDistance = maxDistance;
        }

        public void Add(string symbol1, string symbol2, int distance)
        {
            DistanceElement d = new DistanceElement();
            d.Symbol1 = symbol1.ToUpper();
            d.Symbol2 = symbol2.ToUpper();
            d.Distance = distance;

            //            m_Distances.Add(d.Symbol1 + " " + d.Symbol2,d); Man mte auch mal testen, warum eine Exception auftreten kann. Sie trat nmlich auf.
            m_Distances[d.Symbol1 + " " + d.Symbol2] = d;
        }

        /*
        public int Distance(string symbol1, string symbol2)
        {
            string key = symbol1.ToUpper() + " " + symbol2.ToUpper();

            if (m_Distances.ContainsKey(key))
                return m_Distances[key].Distance;
            else
                return m_MaxDistance;
        }*/

        public List<DistanceElement> DistanceElements()
        {
            List<DistanceElement> result = new List<DistanceElement>();

            foreach (KeyValuePair<string, DistanceElement> p in m_Distances)
            {
                DistanceElement element = p.Value;
                result.Add(element);
            }
            return result;
        }
    }

}
