//------------------------------------------------------------------------------
// Date  : 26.Apr.2006
// Author: Joachim Pimiskern
// Status: Freeware
//------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;
using Fusym;
using System.Collections;

namespace Fusym 
{
    public class GlobalClusterManager
    {
        private static GlobalClusterManager instance;
        private static Encoding m_Encoding = Encoding.GetEncoding(1252);


        public SemanticNetwork SemanticNetwork;

        private bool m_Loaded = false;

        public bool Loaded
        {
            get 
            { 
                return m_Loaded; 
            }

            set 
            { 
                m_Loaded = value; 
            }
        }



        private GlobalClusterManager()
        {
            SemanticNetwork = new SemanticNetwork(m_Encoding);
        }


        static public GlobalClusterManager GetInstance()
        {
            if (instance == null)
                instance = new GlobalClusterManager();
            return instance;
        }


    }

}
