//------------------------------------------------------------------------------
// Purpose: Option record for HTML export.
// Date   : 18.Apr.2008
// Author : Joachim Pimiskern
// Status : Freeware
//------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;

namespace Unarch5
{
    public class HtmlOptions
    {
        private bool m_UseTitle;
        private bool m_UseMetaDescription;
        private bool m_UseMetaKeywords;
        private bool m_UseMetaLanguage;
        private bool m_UseMetaRobots;
        private bool m_UseHeadline;


        private string m_Title;
        private string m_MetaDescription;
        private string m_MetaKeywords;
        private string m_MetaLanguage;
        private string m_MetaRobots;
        private string m_Headline;

        public bool UseTitle
        {
            get { return m_UseTitle; }
            set { m_UseTitle = value; }
        }

        public bool UseMetaDescription
        {
            get { return m_UseMetaDescription; }
            set { m_UseMetaDescription = value; }
        }

        public bool UseMetaKeywords
        {
            get { return m_UseMetaKeywords; }
            set { m_UseMetaKeywords = value; }
        }

        public bool UseMetaLanguage
        {
            get { return m_UseMetaLanguage; }
            set { m_UseMetaLanguage = value; }
        }

        public bool UseMetaRobots
        {
            get { return m_UseMetaRobots; }
            set { m_UseMetaRobots = value; }
        }

        public bool UseHeadline
        {
            get { return m_UseHeadline; }
            set { m_UseHeadline = value; }
        }

        public string Title
        {
            get { return m_Title; }
            set { m_Title = value; }
        }

        public string MetaDescription
        {
            get { return m_MetaDescription; }
            set { m_MetaDescription = value; }
        }

        public string MetaKeywords
        {
            get { return m_MetaKeywords; }
            set { m_MetaKeywords = value; }
        }

        public string MetaLanguage
        {
            get { return m_MetaLanguage; }
            set { m_MetaLanguage = value; }
        }

        public string MetaRobots
        {
            get { return m_MetaRobots; }
            set { m_MetaRobots = value; }
        }

        public string Headline
        {
            get { return m_Headline; }
            set { m_Headline = value; }
        }
    }
}
