//------------------------------------------------------------------------------
// Purpose: Document that constists of only one string.
// Date   : 6. Dec. 2009
// Author : Joachim Pimiskern
// Status : Freeware
//------------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Text;
using Fusym;

namespace Unarch5
{
    public class OneStringDocument: IDocument
    {
        public string Text;


        public OneStringDocument(string s)
        {
            Text = s;
        }

        string IDocument.GetFirstSymbol()
        {
            return Text;
        }

        string IDocument.GetNextSymbol()
        {
            return "";
        }

    }
    

    /*
    class OneStringDocument : IDocument
    {
        public string Text;
        private SemanticNetwork m_SemanticNetwork;
        private Node m_Node;
        private bool m_Standard = true;
        private List<string> m_List;
        private int m_Current;

        public OneStringDocument(string s)
        {
            Text = s;
        }

        public OneStringDocument(string s, SemanticNetwork semanticNetwork)
        {
            Text = s;
            m_SemanticNetwork = semanticNetwork;
            m_Standard = false;
        }


        string IDocument.GetFirstSymbol()
        {
            if (m_Standard == true)
                return Text;


            m_Node = m_SemanticNetwork.GetNode(Text);
            m_List = new List<string>();

            Node n = m_Node.GetFirstNeighbour();
            while (n != null)
            {
                m_List.Add(n.ToString());
                n = m_Node.GetNextNeighbour();
            }

            if (m_List.Count > 0)
            {
                m_Current = 1;
                return m_List[0];
            }

            return "";
        }

        string IDocument.GetNextSymbol()
        {
            if (m_Standard == true)
                return "";

            if (m_Current < m_List.Count)
            {
                string result = m_List[m_Current];
                m_Current++;
                return result;
            }
            else
                return "";
        }

    }
    */
}
